#include <iostream>
#include <fstream>
#include <iomanip>
#include <cmath>
#include <algorithm>
#define MAX 2*10^5

using namespace std;


int main()
{
    int i;
    int n;//broj el glavnog niza
    scanf("%d",&n);
    int a[n];
    for(i=0;i<n;i++){
        scanf("%d",&a[i]);//unos el u niza A
    }
    int q;
    scanf("%d",&q);//poklonjeni nizovi
    int odgovori[q];
    /*for(i=0;i<q;i++){
        odgovori[i]=0;
    }*/
    int podniz[MAX];
    int l[q];
    int r[q];
    for(i=0;i<q;i++){
        int start = l[i];
        int kraj = r[i];
        for(int b=0;b<kraj-start;b++){
            podniz[b]=a[start];
            start++;
        }
        for(int c=1;c<kraj-start-1;c++){
            if(podniz[c-1]+podniz[c]>=podniz[c]+podniz[c+1]){
                odgovori[i]=1;
                break;
            }
        }
    }
    for(i=0;i<1;i++){
        if(odgovori[i]==1)printf("NE");
        else printf("DA");
    }



    return 0;
}